
#include <time.h>
#include <stdlib.h>

/*
 * We use a single rand function so that we don't get screwed
 * when we run so quickly that srand(time(0)) seeds srand()
 * with the same value all the time.
 */
int
myrand (
 	void  /* This will seed itself */
) {
 	static seeded = 0;

 	if (!seeded) {
#ifndef HAVE_RANDOM
 		srand (time(0));
#else
 		srandom (time(0));
/* Nonononono
 * We should use setstate() and initstate() so that other calls to
 * srandom() and random() outside of myrand() don't start receiving
 * unexpected results... */
#endif
 		seeded = 1;
 	}
#ifndef HAVE_RANDOM
 	return rand ();
#else
 	return random ();
#endif
}
